--- title: "get-hadoop-cluster-info" slug: "get-hadoop-cluster-info-1" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-hadoop-cluster-info-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-hadoop-cluster-info Available in VPC Get Hadoop cluster information of a box. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-hadoop-cluster-info | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `hadoopClusterNo` | Integer | Required | Hadoop cluster number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Enter `instanceNo` of the infrastructure whose `infraType` is `HD`. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-hadoop-cluster-info?fenceId=26&boxId=74&hadoopClusterNo=*********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `connectionList` | Array | - | Hadoop cluster application information: [connectionList](/docs/en/get-hadoop-cluster-info-1#connectionList) | | `nodeSpecList` | Array | - | Hadoop node information: [nodeSpecList](/docs/en/get-hadoop-cluster-info-1#nodeSpecList) | | `storageList` | Array | - | Hadoop cluster storage information: [storageList](/docs/en/get-hadoop-cluster-info-1#storageList) | #### `connectionList` The following describes `connectionList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `applicationName` | String | - | Hadoop cluster application name | | `connectionUrl` | String | - | Application connection URL | #### `nodeSpecList` The following describes `nodeSpecList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Hadoop cluster node type | | `spec` | String | - | Node spec name - See [get-product-spec](/docs/en/get-product-spec). | | `nodeCount` | Integer | - | Number of node servers | #### `storageList` The following describes `storageList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | NAS storage name | | `storagePath` | String | - | Mount path | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "connectionList": [ { "applicationName": "Ambari", "connectionUrl": "https://10.0.0.75:8443/ambari" } ], "nodeSpecList": [ { "name": "Hadoop Edge", "spec": "Hadoop Linux Server (C8-H1 : 8vCPU 16GB Mem)", "nodeCount": 1 }, { "name": "Hadoop Master", "spec": "Hadoop Linux Server (C8-H1 : 8vCPU 16GB Mem)", "nodeCount": 2 }, { "name": "Hadoop Worker", "spec": "Hadoop Linux Server (C8-H1 : 8vCPU 16GB Mem)", "nodeCount": 2 } ], "storageList": [ { "name": "NAS for export request", "storagePath": "/mnt/74box1" } ] } ```